import { request } from "@/utils/request";

export function getRuiduReportPage(params) {
  return request({
    url: "/pms/iot-rd-daily-report/page",
    method: "get",
    params,
  });
}

export function getRuiduReportSummary(params) {
  return request({
    url: "/pms/iot-rd-daily-report/reportSummary",
    method: "get",
    params,
  });
}

export function getRuiduReportTeamSummary(params) {
  return request({
    url: "/pms/iot-rd-daily-report/reportTeamSummary",
    method: "get",
    params,
  });
}

export function getRuiduReportTeamPage(params) {
  return request({
    url: "/pms/iot-rd-daily-report/teamReports",
    method: "get",
    params,
  });
}

export function getRuiduReportWellPage(params) {
  return request({
    url: "/pms/iot-rd-daily-report/wellReports",
    method: "get",
    params,
  });
}

export function getTaskWellNames(params) {
  return request({
    url: "/rq/iot-project-task/taskTreeWellNames",
    method: "get",
    params,
  });
}
